%define upstream_name    Catalyst-Plugin-Authentication-CDBI
%define upstream_version 0.10

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	CDBI Authentication for Catalyst
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Catalyst)
BuildRequires:	perl(Catalyst::Plugin::Authentication)

BuildArch:	noarch

%description
This plugin allows you to authenticate your web users using
database tables accessed through Class::DBI classes.
Note that this plugin requires a session plugin such as
Catalyst::Plugin::Session::FastMmap.
This module is now well past the teatime of it's lifespan,
and no new features will be added. For new applications,
you probably want to look at Catalyst::Plugin::Authentication
and friends instead

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Catalyst/Plugin/Authentication/*
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-11.mga10
+ Revision: 2212180
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.100.0-10.mga9
+ Revision: 1831367
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-9.mga8
+ Revision: 1493068
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-8.mga7
+ Revision: 1265958
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1023254
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 939974
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 741276
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683797
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509663
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 363946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 41247
- mageia rebuild
- imported package perl-Catalyst-Plugin-Authentication-CDBI

